Subject: Re: linux-next: duplicate patches in the xen-tip tree

From: Ingo Molnar <[email-masked]>
Date: Tue, 21 Feb 2023 09:39:47 +0100

* Peter Zijlstra <[email-masked]> wrote:

> On Tue, Feb 14, 2023 at 12:47:00PM +1100, Stephen Rothwell wrote:
> > Hi all,
> > 
> > The following commits are also in the tip tree as different commits
> > (but the same patches):
> > 
> >   415dab3c1796 ("drivers/xen/hypervisor: Expose Xen SIF flags to userspace")
> >   336f560a8917 ("x86/xen: don't let xen_pv_play_dead() return")
> >   f697cb00afa9 ("x86/xen: mark xen_pv_play_dead() as __noreturn")
> > 
> > These are commits
> > 
> >   859761e770f8 ("drivers/xen/hypervisor: Expose Xen SIF flags to userspace")
> >   076cbf5d2163 ("x86/xen: don't let xen_pv_play_dead() return")
> >   1aff0d2658e5 ("x86/xen: mark xen_pv_play_dead() as __noreturn")
> > 
> > in the tip tree.
> 
> This was intentional (dependencies) and the plan is to only offer the
> tip branch for merge after the Xen tree goes in.

The rebase & *duplication* was not intentional at all - I assumed 
1aff0d2658e5 won't get rebased. :-/

We'll probably have to redo the objtool tree.

Thanks,

	Ingo